INVALID KEY - if use aab, but apk - all good

+8 votes
asked Aug 31, 2019 by mixx85 (1,000 points)
Hello.

I try make build app bundle (google play) - aab and have ERROR - INVALID KEY

But if I make apk - app working good.

But mey app > 100mb and I must make - build app bundle.

Whats wrong?

PS

I checked all serial number. name bundle etc - all right

EasyAR version 3.1, Unity 2019.1.14

2 Answers

+6 votes
answered Sep 1, 2019 by mixx85 (1,000 points)
selected Sep 1, 2019 by mixx85
 
Best answer
We have BIG-BIG problems!

In Support said - "At present, EasyAR doesn't support build app bundle. We will consider this need and may support it in the future.
Best Wishes!"
commented Sep 2, 2019 by guinunez (200 points)
ouch, this is really bad
commented Sep 4, 2019 by mgaqkey (110 points)
Strangely, I have it working under AAB, but my current problem is with Android 9.
commented Sep 4, 2019 by mixx85 (1,000 points)
what is the problem with android 9?
commented Sep 4, 2019 by mgaqkey (110 points)
So I've made a new round of tests, aab on android 9, I get the invalid key error, with an APK I don't, but on an android 8 I don't get the same problem from either apk or aab
commented Sep 4, 2019 by mixx85 (1,000 points)
yes - it's our problem!
EasyAR doesn't support build app bundle
commented Sep 4, 2019 by mgaqkey (110 points)
But strangely, the Build App Bundle works when I download for Android 8, is the problem related do non-SDK features that were blacklisted in android 9?
commented Oct 30, 2019 by tobiwovr (240 points)
This is really really bad! We just dicovered this two days before release! Before we were just testing regular apks...
Please fix asap!!
commented Nov 18, 2019 by D3m0n92 (210 points)
Bad. FIX ASAP.
commented Nov 25, 2019 by janaina (110 points)
Same problem !
commented Nov 26, 2019 by sk8er8921 (140 points)
Just commenting here so they see more people are upset. Strangely though my app bundles just starting having this issue today. The app update I made last month has been fine with the bundles. Now I am getting the invalid license key. Hopefully they fix this because it is really important.
commented Dec 13, 2019 by rsdabb (180 points)
Ставь лайк, если столкнулся с такой же проблемой и ты понимаешь русский язык
commented Dec 16, 2019 by artowl (100 points)
Yup. Same problem here!
0 votes
answered Jun 22 by imjungkyu (200 points)

For me, fixed it by below information.

gradle - Android App Bundle (only) - native library failed to load - Stack Overflow

add below to your gradle.properties file.

android.bundle.enableUncompressedNativeLibs = false

Welcome to EasyAR SDK Q&A, where you can ask questions and receive answers from other members of the community.
...